Package com.arms.api.jira.jiraissuestatus.model

## Class JiraIssueStatusEntity

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity
  - - com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity
    - - com.arms.egovframework.javaservice.treeframework.model.TreeSearchEntity
      - - com.arms.api.jira.jiraissuestatus.model.JiraIssueStatusEntity

- All Implemented Interfaces:
    `java.io.Serializable`

      @Entity
      public class JiraIssueStatusEntity
      extends TreeSearchEntity
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraIssueStatusEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getC_id()` |
    `java.lang.Boolean` | `getCopyBooleanValue()` |
    `void` | `setCopyBooleanValue​(java.lang.Boolean copyBooleanValue)` |
    `<T extends TreeSearchEntity> void` | `setFieldFromNewInstance​(T paramInstance)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeSearchEntity

      `getCriterions, getMembersCriterions, getOrder, getProjection, getWhereCount, getWhereMap, setOrder, setWhere, setWhere, setWhere, setWhereBetween, setWhereIn, setWhereIn, setWhereIp, setWhereLike, setWhereOr, setWhereOr`

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreePaginatedEntity

      `getFirstIndex, getLastIndex, getPageIndex, getPageSize, getPageUnit, getPaginationInfo, getRecordCountPerPage, getSearchCondition, getSearchKeyword, getSearchKeywordFrom, getSearchKeywordTo, getSearchUseYn, setFirstIndex, setLastIndex, setPageIndex, setPageSize, setPageUnit, setPaginationInfo, setRecordCountPerPage, setSearchCondition, setSearchKeyword, setSearchKeywordFrom, setSearchKeywordTo, setSearchUseYn, toString`

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.model.TreeBaseEntity

      `getAjaxMessage, getAttr, getC_idsByChildNodeFromNodeById, getC_left, getC_level, getC_parentid, getC_position, getC_right, getC_title, getC_type, getChildcount, getCopy, getData, getFixCopyId, getFixCopyPosition, getId, getIdif, getIdifLeft, getIdifRight, getLdif, getMultiCounter, getNodeById, getRef, getRightPositionFromNodeByRef, getSearchStr, getSpaceOfTargetNode, getState, getStatus, isCopied, setAjaxMessage, setC_id, setC_idsByChildNodeFromNodeById, setC_left, setC_level, setC_parentid, setC_position, setC_right, setC_title, setC_type, setChildcount, setCopied, setCopy, setData, setFixCopyId, setFixCopyPosition, setId, setIdif, setIdifLeft, setIdifRight, setLdif, setMultiCounter, setNodeById, setRef, setRightPositionFromNodeByRef, setSearchStr, setSpaceOfTargetNode, setState, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraIssueStatusEntity

          public JiraIssueStatusEntity()

  - ### Method Detail

    - #### getC_id

          public java.lang.Long getC_id()

      Overrides:
        `getC_id` in class `TreeBaseEntity`

    - #### getCopyBooleanValue

          public java.lang.Boolean getCopyBooleanValue()

    - #### setCopyBooleanValue

          public void setCopyBooleanValue​(java.lang.Boolean copyBooleanValue)

    - #### setFieldFromNewInstance

          public <T extends TreeSearchEntity> void setFieldFromNewInstance​(T paramInstance)

      Specified by:
        `setFieldFromNewInstance` in class `TreeSearchEntity`